## fatcat 1.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(fatcat)

set(SOURCES
    core/FatEntry.cpp
    core/FatFilename.cpp
    core/FatModule.cpp
    core/FatPath.cpp
    core/FatSystem.cpp
    core/FatDate.cpp

    table/FatBackup.cpp
    table/FatDiff.cpp

    analysis/FatExtract.cpp
    analysis/FatFix.cpp
    analysis/FatChain.cpp
    analysis/FatChains.cpp
    analysis/FatSearch.cpp
    analysis/FatWalk.cpp
    )

foreach(SOURCE ${SOURCES})
    set(ALL_SOURCES ${ALL_SOURCES} src/${SOURCE})
endforeach()

include_directories("${CMAKE_SOURCE_DIR}/src")

add_executable(fatcat "src/fatcat.cpp" ${ALL_SOURCES})
install(TARGETS fatcat DESTINATION bin)

=== debian/changelog ===
fatcat (1.0.5-1) unstable; urgency=low

    * Initial release. (Closes: #728125).

 -- Grégoire Passault <g.passault@gmail.com>  Thu, 07 Aug 2014 20:09:11 +0100

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1.tar.gz/ \
  https://github.com/Gregwar/fatcat/tags .*/v?(\d\S*)\.tar\.gz

## fatcat 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 cmake_minimum_required(VERSION 2.8)
 project(fatcat)
+
+OPTION(DEFINE_WIN "Compiling windows" OFF)
 
 set(SOURCES
     core/FatEntry.cpp
@@ -18,12 +20,20 @@
     analysis/FatChains.cpp
     analysis/FatSearch.cpp
     analysis/FatWalk.cpp
+	
+	xgetopt/xgetopt.cpp
+	xgetopt/stdafx.cpp
+	xgetopt/argcargv.cpp
     )
 
 foreach(SOURCE ${SOURCES})
     set(ALL_SOURCES ${ALL_SOURCES} src/${SOURCE})
 endforeach()
 
+IF(DEFINE_WIN)
+	add_definitions(-D__WIN__)
+ENDIF(DEFINE_WIN)
+
 include_directories("${CMAKE_SOURCE_DIR}/src")
 
 add_executable(fatcat "src/fatcat.cpp" ${ALL_SOURCES})

=== debian/changelog ===
fatcat (1.1.1-4) unstable; urgency=medium

  * Team upload.
  * d/p/*:
    - Add cmake4.patch fixing FTBFS with CMake 4 (Closes: #1112884).
    - Add cannot-select-font.patch to fix lintian warning groff-warning.
  * d/watch: Convert watch file to version 5 format.
  * d/control: Drop 'Rules-Requires-Root: no', it's the standard now.
  * d/control: Bump Standards-Version to 4.7.2.
  * d/copyright: Update copyright holders regarding Debian packaging.
  * d/s/lintian-overrides: Override debian-watch-could-verify-download,
    sources are not signed upstream.

 -- Sven Geuer <sge@debian.org>  Sat, 27 Sep 2025 13:54:50 +0200

fatcat (1.1.1-3) unstable; urgency=medium

  * debian/watch: fix url to https://github.com/Gregwar/fatcat/tags.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 20 Oct 2022 09:34:00 -0300

fatcat (1.1.1-2) unstable; urgency=medium

  * d/rules: Remove -pie and -fPIE from compiler option.
    Disables checking for PIE which is automatically applied by Debian's GCC
    and no longer requires a compiler command line argument.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Tue, 08 Feb 2022 11:32:00 -0300

fatcat (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1 (Closes: #879930, #1003886).
  * Bump DH_LEVEL to 13.
  * d/watch: Update watch.
  * d/control:
    - Bump standards-version to 4.6.0.1.
    - Change maintainer to team+pkg-security.
    - Change to pkg-security-team VCs-* fields.
    - Include myself as an uploader.
    - Include Rules-Requires-Root: no.
  * d/copyright:
    - Include myself copyright.
    - Use https instead http.
  * d/u/metadata: Include upstream metadata.
  * d/u/signing-key.asc: Include upstream key.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sat, 15 Jan 2022 23:47:00 -0300

=== debian/control ===
Source: fatcat
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Grégoire Passault <g.passault@gmail.com>,
           Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
Section: utils
Priority: optional
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), cmake
Homepage: https://github.com/Gregwar/fatcat
Vcs-Git: https://salsa.debian.org/pkg-security-team/fatcat.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/fatcat

Package: fatcat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FAT filesystem explore, extract, repair, and forensic tool
 fatcat is a tool to explore, extract, repair and forensic FAT filesystem.
 Its features:
     - Get information about FAT filesystem;
     - Explore FAT file system;
     - Read file or extract directories;
     - Retrieve file & directories that are deleted;
     - Backup & restore the FAT tables;
     - Hack the FAT table by writing on it;
     - Hack the entries by changing clusters and file sizes;
     - Perform a search for orphaned files & directories;
     - Compare and merge the FAT tables;
     - Repair unallocated directories &  files;
     - Supports FAT12, FAT16 and FAT32.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

=== debian/watch ===
Version: 5
Template: Github
Owner: Gregwar
Project: @PACKAGE@
